Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -1399,60 +731,50 @@
         }
         #endregion
 
+        #region 入金入力画面表示
+        /// <summary>
+        /// 入金入力画面表示
+        /// </summary>
+        /// <returns></returns>
+        private void EntryDeposit(int OrderesDivision, int OrderesCode, string TargetMonth)
+        {
+            DepositData DepositData = new DepositData();
+            FrmEntryDeposit frmEntryDeposit = new FrmEntryDeposit();
+            DepositData.OrderersDivision = OrderesDivision;
+            DepositData.OrderersCode = OrderesCode;
+            DepositData.TargetDate = TargetMonth;
+            frmEntryDeposit.depositdata = DepositData;
+
+            frmEntryDeposit.ShowDialog();
+            DisplayData();
+        }
+        #endregion
+
         #region 担当者承認チェック
         private bool CheckStaffApproval(int trow, DepositDetail depositDetail)
         {
-            if (depositDetail.IsApprovedByStaff == true)
+            if (depositDetail.ConfirmationEndFlg == 1)
             {
                 return true;
             }
 
-            List<int> lst = new List<int>();
-
-            // 入金金額がマイナス
-            if (depositDetail.DepositAmount < 0)
-            {
-                lst.Add((int)DispColumn.DepositAmount);
+            // 未入金がある
+            if (depositDetail.DifferenceAmount < 0)
+            {                
+                if (MessageBox.Show("未入金が存在しますがこのまま進めてよろしいですか？", "金額確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    return false;
+                }
             }
 
-            // 値引金額がマイナス
-            if (depositDetail.DiscountAmount < 0)
+            // 繰越金が存在する
+            if (depositDetail.DifferenceAmount > 0)
             {
-                lst.Add((int)DispColumn.DiscountAmount);
-            }
-
-            // 協力金がマイナス
-            if (depositDetail.CnstrPrice < 0)
-            {
-                lst.Add((int)DispColumn.CnstrPrice);
-            }
-
-            // 手数料がマイナス
-            if (depositDetail.Fees < 0)
-            {
-                lst.Add((int)DispColumn.Fees);
-            }
-
-            // その他調整額がマイナス
-            if (depositDetail.OtherAdjustments < 0)
-            {
-                lst.Add((int)DispColumn.OtherAdjustments);
-            }
-
-            // 次回繰越がマイナス
-            if (depositDetail.CarryAmount < 0)
-            {
-                lst.Add((int)DispColumn.CarryAmount);
-            }
-
-            if (lst.Count > 0)
-            {
-                if (MessageBox.Show("マイナスの金額が存在しますがこのまま進めてよろしいですか？。", "金額確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                if (MessageBox.Show("繰越金が存在しますがこのまま進めてよろしいですか？", "金額確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
                     return false;
                 }
             }
-
             return true;
         }
         #endregion
@@ -1479,6 +801,54 @@
         }
         #endregion
 
+        #region セル編集開始
+        /// <summary>
+        /// セル編集開始
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
+        {
+            dgvMaster.CellBeginEdit -= dgvMaster_CellBeginEdit;
+            dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
+
+
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            if ((tcol == (int)DispColumn.DepositAmount) ||
+                (tcol == (int)DispColumn.DiscountAmount) ||
+                (tcol == (int)DispColumn.CnstrPrice) ||
+                (tcol == (int)DispColumn.Fees) ||
+                (tcol == (int)DispColumn.OtherAdjustments) ||
+                (tcol == (int)DispColumn.DifferentAmount))
+            {
+                string val;
+
+                // セルに値が格納されている場合
+                if (dgvMaster[tcol, trow].Value != null)
+                {
+                    // カンマ区切りを解除
+                    val = dgvMaster[tcol, trow].Value.ToString().Replace(",", string.Empty);
+                }
+                else
+                {
+                    // 0を入力
+                    val = "0";
+                }
+                dgvMaster[tcol, trow].Value = val;
+
+                // 文字色は一律黒
+                dgvMaster[tcol, trow].Style.ForeColor = Color.Black;
+
+            }
+            dgvMaster.CellBeginEdit += dgvMaster_CellBeginEdit;
+            dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
+
+
+        }
+        #endregion
+
         #region セル編集完了時のイベント
         /// <summary>
         /// セル編集完了時のイベント
@@ -1492,84 +862,51 @@
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
             try
             {
+
+                // 行が追加されたときではなく、セルの内容が変更されているときだけ処理を実行する。
+                if (e.RowIndex == dgvMaster.NewRowIndex ||
+                    !dgvMaster.IsCurrentCellDirty)
+                {
+                    return;
+                }
+
                 if (dgvMaster.RowCount == 0)
+                {
                     return;
+                }
+
                 var cells = dgvMaster.Rows[e.RowIndex].Cells;
                 var cellValue = CommonMotions.cnvString(cells[e.ColumnIndex].Value);
+
                 if (oldCellValue == cellValue)
-                    return;
+                { 
+                    return; 
+                }
+
                 var key = GetOrderersKey(e.RowIndex);
                 var depositOrderer = FindDepositOrderer(key.OrderersDivision, key.OrderersCode);
 
                 if ((e.ColumnIndex == (int)DispColumn.DepositAmount) ||
-                    (e.ColumnIndex == (int)DispColumn.DepositAmountCash) ||
-                    (e.ColumnIndex == (int)DispColumn.DepositAmountBill) ||
                     (e.ColumnIndex == (int)DispColumn.DiscountAmount) ||
                     (e.ColumnIndex == (int)DispColumn.CnstrPrice) ||
                     (e.ColumnIndex == (int)DispColumn.Fees) ||
                     (e.ColumnIndex == (int)DispColumn.OtherAdjustments) ||
-                    (e.ColumnIndex == (int)DispColumn.CarryAmount))
+                    (e.ColumnIndex == (int)DispColumn.DifferentAmount))
                 {
                     long val = long.Parse(cellValue);
                     SetPrice(cells, e.ColumnIndex, val);
                 }
 
-                // 入金情報を編集
-                if (e.ColumnIndex == (int)DispColumn.DepositAmountCash
-                    || e.ColumnIndex == (int)DispColumn.DepositAmountBill
-                    || e.ColumnIndex == (int)DispColumn.DepositDate)
-                {
-
-                    var deposit = depositOrderer.FindDepositBySeqNo(CommonMotions.cnvInt(cells[(int)DispColumn.SeqNo].Value));
-                    if (deposit == null)
-                    {
-                        deposit = new Deposit()
-                        {
-                            Added = true,
-                            SeqNo = depositOrderer.GetNextSeqNo(),
-                        };
-                        depositOrderer.Deposits.Add(deposit);
-                    }
-                    switch (e.ColumnIndex)
-                    {
-                        case (int)DispColumn.DepositAmountCash:
-                            if (cellValue != "")
-                                deposit.DepositAmountCash = CommonMotions.cnvLong(cellValue);
-                            else
-                                deposit.DepositAmountCash = null;
-                            break;
-                        case (int)DispColumn.DepositAmountBill:
-                            if (cellValue != "")
-                                deposit.DepositAmountBill = CommonMotions.cnvLong(cellValue);
-                            else
-                                deposit.DepositAmountBill = null;
-                            break;
-                        case (int)DispColumn.DepositDate:
-                            DateTime dt;
-                            if (DateTime.TryParse(cellValue, out dt))
-                                deposit.DepositDate = dt.ToString("yyyy/MM/dd");
-                            else
-                                deposit.DepositDate = "";
-                            break;
-                    }
-                    if (string.IsNullOrEmpty(deposit.DepositDate)
-                        && !deposit.DepositAmountCash.HasValue
-                        && !deposit.DepositAmountBill.HasValue)
-                        deposit.Deleted = true;
-                    deposit.Editted = true;
-                    if (deposit.CanRemove)
-                        depositOrderer.Deposits.Remove(deposit);
-                }
                 // 入金明細金額を編集
-                else if (e.ColumnIndex == (int)DispColumn.DepositAmount
+                if (e.ColumnIndex == (int)DispColumn.DepositAmount
                     || e.ColumnIndex == (int)DispColumn.DiscountAmount
                     || e.ColumnIndex == (int)DispColumn.CnstrPrice
                     || e.ColumnIndex == (int)DispColumn.Fees
                     || e.ColumnIndex == (int)DispColumn.OtherAdjustments
-                    || e.ColumnIndex == (int)DispColumn.CarryAmount)
+                    || e.ColumnIndex == (int)DispColumn.DifferentAmount)
                 {
-                    var depositDetail = depositOrderer.FindDepositDetailByLineCount(CommonMotions.cnvInt(cells[(int)DispColumn.LineCount].Value));
                     long amount = CommonMotions.cnvLong(cellValue);
+                    var depositDetail = depositOrderer.FindDepositDetailByRequestNo(CommonMotions.cnvInt(cells[(int)DispColumn.RequestNo].Value));
                     bool bUpdateCarryAmount = false;
                     switch (e.ColumnIndex)
                     {
@@ -1593,8 +930,8 @@
                             depositDetail.OtherAdjustments = amount;
                             bUpdateCarryAmount = true;
                             break;
-                        case (int)DispColumn.CarryAmount:
-                            depositDetail.CarryAmount = amount;
+                        case (int)DispColumn.DifferentAmount:
+                            depositDetail.DifferenceAmount = amount;
                             break;
                     }
                     long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
@@ -1602,196 +939,30 @@
                     // 繰越金以外を修正した場合、
                     if (bUpdateCarryAmount == true)
                     {
-                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
-                        depositDetail.CarryAmount = RequestAmount - DepositAmount;
+                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount
+                            + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
+                        depositDetail.DifferenceAmount = DepositAmount - RequestAmount;
                     }
-                    else
-                    {
-                        long AdjustmentAmount =  depositDetail.DiscountAmount + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments + depositDetail.CarryAmount;
-                        // 繰越金を修正した場合は、入金金額で調整
-                        depositDetail.DepositAmount = RequestAmount - AdjustmentAmount;
-                    }
 
                     depositDetail.Editted = true;
                 }
-                var headerIndex = DetectHeaderIndex(e.RowIndex);
-                UpdateDepositOrdererRows(depositOrderer, headerIndex);
-                dgvMaster.CurrentCell = dgvMaster[e.ColumnIndex, e.RowIndex];
-                isDirty = true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter += DataGridView_CellEnter;
-                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
-            }
-        }
-        #endregion
-
-        #region 発注者追加ダイアログクローズ通知
-        /// <summary>
-        /// 発注者追加ダイアログクローズ通知
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void NotifyAddCmp_FormClosed(object sender, FormClosedEventArgs e)
-        {
-            try
-            {
-                dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter -= DataGridView_CellEnter;
-                dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
-                var f = (FrmSelectRequest)sender;
-                // 発注者追加あり
-                if (f.m_AddCmpData.isEdit)
+                else if (e.ColumnIndex == (int)DispColumn.NoteDD)
                 {
-                    foreach (var h in depositOrderers)
+                    var depositDetail = depositOrderer.FindDepositDetailByRequestNo(CommonMotions.cnvInt(cells[(int)DispColumn.RequestNo].Value));
+                    switch (e.ColumnIndex)
                     {
-                        if (h.Deleted)
-                            continue;
-                        // 表示済みの発注者の場合は何もしない
-                        if (h.OrderersDivision == f.m_AddCmpData.OrderersDivision
-                            && h.OrderersCode == f.m_AddCmpData.OrderersCode)
-                        {
-                            return;
-                        }
-                    }
-                    // データに追加
-                    var depositOrderer = new DepositOrderer();
-                    depositOrderer.Added = true;
-                    if (depositOrderers.Count == 0)
-                        depositOrderer.No = 1;
-                    else
-                        depositOrderer.No = depositOrderers.Last().No + 1;
-                    depositOrderer.OrderersDivision = f.m_AddCmpData.OrderersDivision;
-                    depositOrderer.OrderersCode = f.m_AddCmpData.OrderersCode;
-                    depositOrderer.OrderersName = f.m_AddCmpData.OrderersName;
-                    depositOrderers.Add(depositOrderer);
-                    AddDepositOrdererRows(depositOrderer, dgvMaster.Rows.Count);
-                    isDirty = true;
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter += DataGridView_CellEnter;
-                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
-            }
-        }
-        #endregion
-
-        #region 現場登録ダイアログクローズ通知
-        /// <summary>
-        /// 現場登録ダイアログクローズ通知
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void NotifyAddFld_FormClosed(object sender, FormClosedEventArgs e)
-        {
-            try
-            {
-                dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter -= DataGridView_CellEnter;
-                dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
-                var f = (FrmSelectRegField)sender;
-                if (f.EndButton != DialogResult.OK)
-                    return;
-                var headerIndex = DetectHeaderIndex(dgvMaster.CurrentRow.Index);
-                var depositOrderer = FindDepositOrderer(dgvMaster.CurrentRow.Index);
-                foreach (var item in f.m_lstMyField)
-                {
-                    if (item.ConstructionName == "不明" && item.ConstructionName_Raw == "")
-                        continue;
-                    // 担当データのみを対象とする
-                    if (item.PersonCode != CommonMotions.LoginUserData.PersonCode)
-                        continue;
-
-                    var depositDetail = depositOrderer.DepositDetails.Find(d => d.RequestNo == item.RequestNo);
-                    // 追加・更新
-                    if (!item.DeleteFlg)
-                    {
-                        // 追加
-                        if (depositDetail == null)
-                        {
-                            depositDetail = new DepositDetail()
-                            {
-                                Added = true,
-                                Visible = true,
-                                SeqNo = 1,
-                                LineCount = depositOrderer.GetNextLineCount(),
-                                RequestNo = item.RequestNo,
-                                OrderNo = item.OrderNo,
-                                ConstructionName = item.ConstructionName,
-                                ConstructionNameRow = item.ConstructionName_Raw,
-                                DepartmentCode = item.DepartmentCode,
-                                BillCreationDate = item.BillCreationDate,
-                                BillPrice = item.BillPrice,
-                                TaxPrice = item.TaxPrice,
-                                DepositAmount = item.DepositAmount,
-                                ApprovalPersonCode = item.PersonCode,
-                                ApprovalPersonName = CommonMotions.LoginUserData.SealPrintName,
-                                ApprovalDate = "",
-                                CarryAmount = ( item.BillPrice + item.TaxPrice ) - item.DepositAmount,
-                            };
-                            var defaultApproves = new List<ApproveData>();
-                            if (!SelectDefaultApprove(depositDetail.DepartmentCode, ref defaultApproves))
-                                return;
-                            foreach (var approve in defaultApproves)
-                            {
-                                var da = new DepositApproval()
-                                {
-                                    Added = true,
-                                    ApprovalPersonName = approve.Value,
-                                    ApprovalPerson = approve.Key,
-                                    ApprovalDate = "",
-                                    ApprovalNo = approve.Order,
-                                    ApprovalAuthority = approve.ApprovalAuthority,
-                                };
-                                depositDetail.DepositApprovals.Add(da);
-                            }
-                            depositOrderer.DepositDetails.Add(depositDetail);
-                        }
-                        // 更新
-                        else
-                        {
-                            depositDetail.Editted = true;
-                            depositDetail.BillPrice = item.BillPrice;
-                            depositDetail.TaxPrice = item.TaxPrice;
-                            depositDetail.DepositAmount = item.DepositAmount;
-                            depositDetail.DiscountAmount = 0;
-                            depositDetail.CnstrPrice = 0;
-                            depositDetail.Fees = 0;
-                            depositDetail.OtherAdjustments = 0;
-                            depositDetail.CarryAmount = (item.BillPrice + item.TaxPrice) - item.DepositAmount;
-                        }
-                    }
-                    // 削除
-                    else
-                    {
-                        if (depositDetail != null)
-                        {
-                            if (depositDetail.Added)
-                            {
-                                // 未存在のデータは削除
-                                depositOrderer.DepositDetails.Remove(depositDetail);
-                            }
+                        case (int)DispColumn.NoteDD:
+                            if (cellValue != "")
+                                depositDetail.Note = CommonMotions.cnvString(cellValue);
                             else
-                            {
-                                // 存在するデータは削除フラグを立てる
-                                depositDetail.Deleted = true;
-                            }
-                        }
+                                depositDetail.Note = "";
+                            break;
                     }
+                    depositDetail.Editted = true;
                 }
+                var headerIndex = DetectHeaderIndex(e.RowIndex);
                 UpdateDepositOrdererRows(depositOrderer, headerIndex);
+                dgvMaster.CurrentCell = dgvMaster[e.ColumnIndex, e.RowIndex];
                 isDirty = true;
             }
             catch (Exception ex)
